FCPE-SPI FLAM Column Processing Exit (FCPE) Service Provider Interface (SPI)

Macros
Function codes

Function codes for column processing exit. More...

## Macros
#define | FCPE_FUNC_OPN 1
| Function code for opening (used in the first call of the exit function) More...
#define | FCPE_FUNC_RUN 2
| Function code for processing data More...
#define | FCPE_FUNC_CLS 3
| Function code for closing (used in the last call of the exit function) More...

## Detailed Description

Function codes for column processing exit.

The function codes below are passed to the exit function by the exit driver as the third parameter. It signals the current state to the exit function which may act accordingly. The function code also defines the format of the parameter structure. Only the union member of TuFcpePar may be accessed that matches the function code.

## Macro Definition Documentation

## ◆ FCPE_FUNC_CLS

#define FCPE_FUNC_CLS 3

Function code for closing (used in the last call of the exit function)

## ◆ FCPE_FUNC_OPN

#define FCPE_FUNC_OPN 1

Function code for opening (used in the first call of the exit function)

## ◆ FCPE_FUNC_RUN

#define FCPE_FUNC_RUN 2

Function code for processing data